Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
sync_waiter Struct Reference

## Data Fields
rb_thread_t * | th
struct list_node | node

## Detailed Description

Definition at line 8 of file thread_sync.c.

## Field Documentation

## ◆ node

struct list_node sync_waiter::node

Definition at line 10 of file thread_sync.c.

## ◆ th

rb_thread_t* sync_waiter::th

Definition at line 9 of file thread_sync.c.

Referenced by rb_mutex_owned_p().

The documentation for this struct was generated from the following file:

- thread_sync.c